summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-05-11 22:55:29 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:29 +0200
commit770406f4eb9c2b15b14411b16d911c42224a34f9 (patch)
tree61c76666f2412c9262b41cef67769e84c4487060
parent6ac5e6a0c039446c42cabc25052cd9e130ff90f9 (diff)
downloadslackbuilds-770406f4eb9c2b15b14411b16d911c42224a34f9.tar.gz
slackbuilds-770406f4eb9c2b15b14411b16d911c42224a34f9.tar.xz
system/rubygems: Added to 12.1 repository
-rw-r--r--system/rubygems/README14
-rw-r--r--system/rubygems/profile.d/gem.csh3
-rw-r--r--system/rubygems/profile.d/gem.sh3
-rw-r--r--system/rubygems/rubygems.SlackBuild57
-rw-r--r--system/rubygems/rubygems.info8
-rw-r--r--system/rubygems/slack-desc11
6 files changed, 96 insertions, 0 deletions
diff --git a/system/rubygems/README b/system/rubygems/README
new file mode 100644
index 0000000000..f0ccc343ba
--- /dev/null
+++ b/system/rubygems/README
@@ -0,0 +1,14 @@
+RubyGems is the Ruby standard for publishing and managing third party
+libraries.
+
+NOTICE:
+ while the rubygems installation will be managed with this SlackBuild,
+ the gems that will get installed to --local 'system', will be existing
+ in '/usr/lib/ruby/gems/1.8/gems/'
+ You can 'uninstall' them with `gem`, but otherwise they will remain
+ if the rubygems package is removed.
+
+
+DEPENDENCIES:
+
+* ruby (its comes in a typical slackware installation)
diff --git a/system/rubygems/profile.d/gem.csh b/system/rubygems/profile.d/gem.csh
new file mode 100644
index 0000000000..2700ad2304
--- /dev/null
+++ b/system/rubygems/profile.d/gem.csh
@@ -0,0 +1,3 @@
+#!/bin/csh
+
+setenv GEM_PATH /usr/lib/ruby/gems/1.8
diff --git a/system/rubygems/profile.d/gem.sh b/system/rubygems/profile.d/gem.sh
new file mode 100644
index 0000000000..826ea1a434
--- /dev/null
+++ b/system/rubygems/profile.d/gem.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+export GEM_PATH=/usr/lib/ruby/gems/1.8
diff --git a/system/rubygems/rubygems.SlackBuild b/system/rubygems/rubygems.SlackBuild
new file mode 100644
index 0000000000..5ebc534c39
--- /dev/null
+++ b/system/rubygems/rubygems.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Slackware build script for rubygems
+# Written by Vincent Batts, vbatts@batts.mine.nu
+
+PRGNAM=rubygems
+VERSION=1.3.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+GEM_HOME=$PKG/usr/lib/ruby/gems/1.8 \
+ ruby setup.rb --destdir=$PKG/usr
+
+# Setting global GEM_PATH to get rdoc correct for gems installed
+mkdir -p $PKG/etc/profile.d/
+cat $CWD/profile.d/gem.sh > $PKG/etc/profile.d/gem.sh
+cat $CWD/profile.d/gem.csh > $PKG/etc/profile.d/gem.csh
+chmod 755 $PKG/etc/profile.d/gem.sh $PKG/etc/profile.d/gem.csh
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README ChangeLog LICENSE.txt TODO GPL.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/rubygems/rubygems.info b/system/rubygems/rubygems.info
new file mode 100644
index 0000000000..8f7b73bcba
--- /dev/null
+++ b/system/rubygems/rubygems.info
@@ -0,0 +1,8 @@
+PRGNAM="rubygems"
+VERSION="1.3.1"
+HOMEPAGE="http://rubyforge.org/projects/rubygems/"
+DOWNLOAD="http://rubyforge.org/frs/download.php/45905/rubygems-1.3.1.tgz"
+MD5SUM="a04ee6f6897077c5b75f5fd1e134c5a9"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"
diff --git a/system/rubygems/slack-desc b/system/rubygems/slack-desc
new file mode 100644
index 0000000000..58048380da
--- /dev/null
+++ b/system/rubygems/slack-desc
@@ -0,0 +1,11 @@
+rubygems: rubygems ( ruby library manager )
+rubygems:
+rubygems: the Ruby standard for publishing and managing third party libraries.
+rubygems:
+rubygems:
+rubygems: homepage http://rubyforge.org/projects/rubygems/
+rubygems:
+rubygems:
+rubygems:
+rubygems:
+rubygems: